# Web3 Jam Hackathon

We are excited to support the Ethglobal [Web3 Jam Hackathon](https://jam.ethglobal.com/). The Web3 Jam  Hackathon runs from November 12 to 24, 2021 with a total of USD 4,000 in Fluence named bounties in addition to the pool prizes.

## About Fluence

Fluence provides the infrastructure and tools to enable decentralized compute for applications and backends on peer-to-peer networks. Nodes in the the Fluence peer-to-peer network host content-addressable services comprised of WebAssembly Interface Types (IT) modules. Aqua, Fluence's purpose-built distribute systems programming language, allows developers to seamlessly program distributed networks and compose hosted services into decentralized applications. As as result, the Fluence platform allows you to bring peer-to-peer compute to a variety of Web3 use cases including data storage, blockchains, identity and to develop custom hosted services and workflows using the Fluence stack.

## Challenges And Prizes

Web3 Jam is all about decentralized media, Web3 and NFTs. In that spirit, we pose one challenges around NFTs where we believe the Fluence p2p compute protocol and p2p storage such as IPFS, Filecoin or Ceramic can be seamlessly combined with Aqua to provide the next generation of NFT use cases on- and off-chain. In addition, we offer a more general *best Dapp* challenge.

### NFT Challenge  -- USD 2,000.00 for the best submission

The NFT challenge offers two possibilities: dynamic NFT lifecycle management and off-chain NFT auctioning. Submissions in either category compete for the USD 2,000 prize.

#### Dynamic NTF Lifecycle Management

Dynamic NFTs are a valuable progression of non-fungible tokens. Using Fluence and Aqua, design and implement a (sub-) protocol to create and manage dynamic NFTs using IPFS or Ceramic as your decentralized persistence layer. For example, consider a dynamic NFT representing a sports persona or stock (immutable) and event-driven data updating the NFT (mutable). For example, your favorite politician's NFT may be updated with their latest poll or election results.

OR

#### Off-Chain NFT Auction Protocol

Trading, and especially auctioning, of NFTs are popular exchange mechanisms in the Web3 space. Alas, on-chain bidding may incur prohibitively high gas costs **per** bid massively undermining the value and usability of NFTs to the community. You can change that by creating a decentralized, off-chain NFT auction platform with Fluence and Aqua where bid history, for example, is tracked on a decentralized, immutable persistence layer like IPFS or Filecoin or on a mutable but on-chain anchored solution like Ceramic.


### Best Use of Fluence and Aqua In Your DApp  -- USD 2,000.00 for the best submission

This category is wide open and rewards your use of Fluence and Aqua in your DApp to, for example,  integrate different chains, APIs or services, such as IPFS or other event sponsors, or provide compute services, such as oracles or indexing.

## Submission Requirements & Judging Criteria

Document your solution and provide a max three (3) minute video presenting and demonstrating your solutions and submit via a Github or GitLab repo with MIT or Apache 2.0 license. Judging is based on originality, functionality and completeness of the submission.

## Resources

Fluence has a variety of components and building blocks available to accelerate your project build.

### General

* [Fluence Documentation](https://doc.fluence.dev/docs/)
* [Aqua Book](https://doc.fluence.dev/aqua-book/)
* [Fluence Quickstart](https://github.com/fluencelabs/examples/tree/main/quickstart)
* [Fluence Examples](https://github.com/fluencelabs/examples)
* [Discord](https://fluence.chat)
* [Fluence Youtube](https://www.youtube.com/channel/UC3b5eFyKRFlEMwSJ1BTjpbw)
* [Book A Meeting With The Team](https://calendly.com/fluencehack/)


### Components and Examples

* Aqua-IPFS Integration
  * [Aqua IPFS Lib](https://doc.fluence.dev/aqua-book/libraries/aqua-ipfs)
  * [Aqua IPFS Integration Example](https://github.com/fluencelabs/examples/tree/main/aqua-examples/aqua-ipfs-integration)
* Aqua-Ceramic Integration
  * [Aqua Ceramic Integration Example](https://github.com/fluencelabs/examples/tree/main/aqua-examples/aqua-ceramic-integration)
* Issuing NTFs with Aqua and Fluence
  * [BazaarEx Example](https://github.com/tejas-kothari/BazaarEx)
